<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigurationDB: Error Codes</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigurationDB
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('group__ErrorCodes.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Error Codes</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader">Error Codes in general package</h2></td></tr>
<tr><td class="ititle" colspan="2"><p><a class="anchor" id="amgrp39ad987967154f3ae17bf7520fad8f9e"></a>See also <a class="el" href="group__ErrorCodes.html">Error Codes overview</a> module </p>
</td></tr>
<tr class="memitem:ga89b201b02dda2e01ead7670b0bc6aa36"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ErrorCodes.html#ga89b201b02dda2e01ead7670b0bc6aa36">fwConfigurationDB_ERROR_GENERAL</a> =-1</td></tr>
<tr class="separator:ga89b201b02dda2e01ead7670b0bc6aa36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga127b56d4f021fe48d6812d3cec9cdf75"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ErrorCodes.html#ga127b56d4f021fe48d6812d3cec9cdf75">fwConfigurationDB_ERROR_DPTNotExist</a> =-2</td></tr>
<tr class="separator:ga127b56d4f021fe48d6812d3cec9cdf75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabec9c96c3f0a6303c4611f3b2fe379d0"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ErrorCodes.html#gabec9c96c3f0a6303c4611f3b2fe379d0">fwConfigurationDB_ERROR_OperationAborted</a> =-3</td></tr>
<tr class="separator:gabec9c96c3f0a6303c4611f3b2fe379d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga08439e37e4ca7841e0943a2c135d1b97"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ErrorCodes.html#ga08439e37e4ca7841e0943a2c135d1b97">fwConfigurationDB_ERROR_SeparatorCharInStringList</a> =-4</td></tr>
<tr class="separator:ga08439e37e4ca7841e0943a2c135d1b97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabfe9731975c38c37302fbfe101a2be58"><td class="memItemLeft" align="right" valign="top">synchronized void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ErrorCodes.html#gabfe9731975c38c37302fbfe101a2be58">fwConfigurationDB_checkInit</a> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gabfe9731975c38c37302fbfe101a2be58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga43d05490668849e2a99e320f93ed38cf"><td class="memItemLeft" align="right" valign="top">synchronized void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ErrorCodes.html#ga43d05490668849e2a99e320f93ed38cf">fwConfigurationDB_initialize</a> (string setupName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga43d05490668849e2a99e320f93ed38cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba666d962450549e3c2c6abb39afbb15"><td class="memItemLeft" align="right" valign="top"><a id="gaba666d962450549e3c2c6abb39afbb15"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>fwConfigurationDB_getSetups</b> (dyn_string &amp;setupNames, dyn_string &amp;setupDPs, string &amp;defaultSetupName, string &amp;defaultSetupDP, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaba666d962450549e3c2c6abb39afbb15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacf20f1741bdc508d489a2d2cabca68a3"><td class="memItemLeft" align="right" valign="top"><a id="gacf20f1741bdc508d489a2d2cabca68a3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_printLibraryFileVersions</b> ()</td></tr>
<tr class="separator:gacf20f1741bdc508d489a2d2cabca68a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader">Error Codes in Recipes package</h2></td></tr>
<tr><td class="ititle" colspan="2"><p><a class="anchor" id="amgrp2f9238901be090d4127ca5cb3e1d3a1b"></a>see also <a class="el" href="group__ErrorCodes.html">Error Codes overview</a> module. </p>
</td></tr>
<tr class="memitem:ga856fec3f7b0f0da2affa9f07c3e80ed5"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ErrorCodes.html#ga856fec3f7b0f0da2affa9f07c3e80ed5">fwConfigurationDB_ERROR_NoValuesDataInRT</a> = -52</td></tr>
<tr class="separator:ga856fec3f7b0f0da2affa9f07c3e80ed5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The following error codes are returned as the third parameter of exceptionInfo</p>
<ul>
<li>codes &lt; -100 are errors </li>
<li>codes between -50 and -100 are warnings </li>
</ul>
<h2 class="groupheader">Function Documentation</h2>
<a id="gabfe9731975c38c37302fbfe101a2be58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabfe9731975c38c37302fbfe101a2be58">&#9670;&nbsp;</a></span>fwConfigurationDB_checkInit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">synchronized void fwConfigurationDB_checkInit </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Checks if the tool was initialized, calls the initialization if needed</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling routine</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__ErrorCodes.html#gabfe9731975c38c37302fbfe101a2be58">fwConfigurationDB_checkInit</a> </dd>
<dd>
<a class="el" href="index.html#qstart_initialization">Initialization</a> section of the "quick start" chapter </dd></dl>

</div>
</div>
<a id="ga43d05490668849e2a99e320f93ed38cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga43d05490668849e2a99e320f93ed38cf">&#9670;&nbsp;</a></span>fwConfigurationDB_initialize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">synchronized void fwConfigurationDB_initialize </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>setupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Performs the initialization of the tool</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">setupName</td><td>specifies the name of the setup, as defined in the "CDB Setup" panel. Specifying empty string ("") means that the default setup should be used.</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="index.html#qstart_initialization">Initialization</a> section of the "quick start" chapter </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ga89b201b02dda2e01ead7670b0bc6aa36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga89b201b02dda2e01ead7670b0bc6aa36">&#9670;&nbsp;</a></span>fwConfigurationDB_ERROR_GENERAL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int fwConfigurationDB_ERROR_GENERAL =-1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>general error code </p>

</div>
</div>
<a id="ga127b56d4f021fe48d6812d3cec9cdf75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga127b56d4f021fe48d6812d3cec9cdf75">&#9670;&nbsp;</a></span>fwConfigurationDB_ERROR_DPTNotExist</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int fwConfigurationDB_ERROR_DPTNotExist =-2</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>data point type does not exist </p>

</div>
</div>
<a id="gabec9c96c3f0a6303c4611f3b2fe379d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabec9c96c3f0a6303c4611f3b2fe379d0">&#9670;&nbsp;</a></span>fwConfigurationDB_ERROR_OperationAborted</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int fwConfigurationDB_ERROR_OperationAborted =-3</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>operation was canceled. </p>

</div>
</div>
<a id="ga08439e37e4ca7841e0943a2c135d1b97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga08439e37e4ca7841e0943a2c135d1b97">&#9670;&nbsp;</a></span>fwConfigurationDB_ERROR_SeparatorCharInStringList</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int fwConfigurationDB_ERROR_SeparatorCharInStringList =-4</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>separator characted found in the list, which was going to be converted to a string </p>

</div>
</div>
<a id="ga856fec3f7b0f0da2affa9f07c3e80ed5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga856fec3f7b0f0da2affa9f07c3e80ed5">&#9670;&nbsp;</a></span>fwConfigurationDB_ERROR_NoValuesDataInRT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwConfigurationDB_ERROR_NoValuesDataInRT = -52</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>{@</p>
<p>in the current recipe, there is no information about values to be stored for queried DPT (warning) </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
